//@ts-ignore
import React, { Component } from 'react';
import GcPdfViewer from '..';
import { LayersModel } from './types';
export type LayersProps = {
    viewer: GcPdfViewer;
};
/**
 * PDF Layers panel component.
 **/
export declare class Layers extends Component<LayersProps, LayersModel> {
    private _mounted;
    private _onScaleChangeHandler?;
    componentDidMount(): void;
    componentWillUnmount(): void;
    get viewer(): GcPdfViewer;
    private renderLayerOption;
//@ts-ignore
//@ts-ignore
    render(): React.JSX.Element;
}
